kdump-tools (1:1.10.7ubuntu3) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Wed, 11 Feb 2026 23:26:09 +0100

kdump-tools (1:1.10.7ubuntu2) questing; urgency=medium

  * use `uname -m` instead of `uname -p` for compatibility with
    rust-coreutils. (LP: #2122648)

 -- Dan Bungert <daniel.bungert@canonical.com>  Thu, 25 Sep 2025 08:34:07 -0600

kdump-tools (1:1.10.7ubuntu1) questing; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Update default s390x crashkernel.
      - Install the updated zipl.conf with ucf, so users will be able to
        decide whether to pick any crashkernel changes.
    - Bump grub default (x86 amd64) crashkernel params to those used on
      arm64, ppc64le, s390x.
    - Add riscv64 build
    - Added kdump_set_default script for enabling/disabling kdump by default.

 -- Dan Bungert <daniel.bungert@canonical.com>  Wed, 07 May 2025 10:22:34 +0200

kdump-tools (1:1.10.7) unstable; urgency=medium

  * Add Catalan translation for debconf template.
    Thanks to Carles Pina i Estany.

 -- dann frazier <dannf@debian.org>  Wed, 30 Apr 2025 19:07:52 -0600

kdump-tools (1:1.10.6) unstable; urgency=medium

  * Add Romanian translation for debconf template.
    Thanks to Remus-Gabriel Chelu. (Closes: #1031986)
  * Add Swedish translation for debconf template.
    Thanks to Martin Bagge (Closes: #1068800).
  * debian/po/*: Replace "makedumpfile" strings with "kdump-tools".

 -- dann frazier <dannf@debian.org>  Tue, 03 Dec 2024 17:03:19 -0700

kdump-tools (1:1.10.5ubuntu2) plucky; urgency=medium

  * Set executable bit on kdump_set_default script.

 -- Dan Bungert <daniel.bungert@canonical.com>  Thu, 21 Nov 2024 09:03:04 -0700

kdump-tools (1:1.10.5ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Update default s390x crashkernel.
      - Install the updated zipl.conf with ucf, so users will be able to
        decide whether to pick any crashkernel changes.
    - Bump grub default (x86 amd64) crashkernel params to those used on
      arm64, ppc64le, s390x.
    - Add riscv64 build
    - Added kdump_set_default script for enabling/disabling kdump by default.

 -- dann frazier <dannf@ubuntu.com>  Sun, 10 Nov 2024 18:55:18 -0700

kdump-tools (1:1.10.5) unstable; urgency=medium

  * debian/kdump-config.in: Quote variable to fix shellcheck issue.

 -- dann frazier <dannf@debian.org>  Sun, 10 Nov 2024 16:44:32 -0700

kdump-tools (1:1.10.4) unstable; urgency=medium

  * debian/tests/crash: Use correct package name in log output.
  * kdump-config: Refactor compression code to reduce duplication.
  * debian/control: Change order of busybox depends to
    `busybox-static | busybox` to avoid Ubuntu needing to promote the
    `busybox` binary package to main.

 -- dann frazier <dannf@debian.org>  Sat, 09 Nov 2024 16:51:53 -0700

kdump-tools (1:1.10.3ubuntu4) oracular; urgency=medium

  * Change order of busybox depends to `busybox-static | busybox` to avoid
    needing to promote the `busybox` binary package to main.

 -- Dan Bungert <daniel.bungert@canonical.com>  Fri, 27 Sep 2024 16:28:05 -0600

kdump-tools (1:1.10.3ubuntu3) oracular; urgency=medium

  * Added kdump_set_default script for enabling/disabling kdump by default.

 -- Kevin Becker <kevin.becker@canonical.com>  Thu, 05 Sep 2024 17:07:27 -0400

kdump-tools (1:1.10.3ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:03:06 +1100

kdump-tools (1:1.10.3ubuntu1) noble; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Update default s390x crashkernel.
      - Install the updated zipl.conf with ucf, so users will be able to
        decide whether to pick any crashkernel changes.
    - Bump grub default (x86 amd64) crashkernel params to those used on
      arm64, ppc64le, s390x.
    - Add riscv64 build

 -- dann frazier <dannf@ubuntu.com>  Sun, 10 Mar 2024 16:11:00 -0600

kdump-tools (1:1.10.3) unstable; urgency=medium

  * Mark autopkgtest as skipped for cases where crash kernel size is 0.
    Thanks to Benjamin Drung.
  * Extend the shellcheck to files in `debian/tests` and address
    issues it reports in debian/tests/crash. Thanks to Benjamin Drung.
  * debian/tests/crash: Display output of file command to aide debugging.
  * debian/tests: Test both makedumpfile and non-makedumpfile modes.
  * kdump-config: Fix support for non-makedumpfile mode.

 -- dann frazier <dannf@debian.org>  Sun, 10 Mar 2024 16:03:53 -0600

kdump-tools (1:1.10.2ubuntu1) noble; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Update default s390x crashkernel.
      - Install the updated zipl.conf with ucf, so users will be able to
        decide whether to pick any crashkernel changes.
    - Bump grub default (x86 amd64) crashkernel params to those used on
      arm64, ppc64le, s390x.
    - Add riscv64 build

 -- dann frazier <dannf@ubuntu.com>  Thu, 22 Feb 2024 15:39:13 -0700

kdump-tools (1:1.10.2) unstable; urgency=medium

  * debian/tests/crash: Support makedumpfile's flattened format,
    which file(1) reports as "Flattened kdump compressed dump" instead
    of the "Kdump compressed dump" string we were looking for.

 -- dann frazier <dannf@debian.org>  Thu, 22 Feb 2024 15:32:09 -0700

kdump-tools (1:1.10.1) unstable; urgency=medium

  * Delete the temporary sysctl files on kernel removal. Thanks to
    Guilherme G. Piccoli.

 -- dann frazier <dannf@debian.org>  Tue, 20 Feb 2024 11:32:18 -0700

kdump-tools (1:1.10ubuntu1) noble; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Update default s390x crashkernel.
      - Install the updated zipl.conf with ucf, so users will be able to
        decide whether to pick any crashkernel changes.
    - Bump grub default (x86 amd64) crashkernel params to those used on
      arm64, ppc64le, s390x.
    - Add riscv64 build

 -- dann frazier <dannf@ubuntu.com>  Thu, 15 Feb 2024 08:30:11 -0700

kdump-tools (1:1.10) unstable; urgency=medium

  * Introduce a kdump crashkernel memory estimator. This dynamically
    calculates a suggested value for the `crashkernel` kernel command
    line parameter and exposes it in `kdump-config show` output. To
    use this value, an administrator must add it to the bootloader
    config. For GRUB-based systems, this is
      /etc/default/grub.d/kdump-tools.cfg
    Thanks to Guilherme G. Piccoli!

 -- dann frazier <dannf@debian.org>  Wed, 14 Feb 2024 10:02:48 -0700

kdump-tools (1:1.9ubuntu1) noble; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Update default s390x crashkernel.
      - Install the updated zipl.conf with ucf, so users will be able to
        decide whether to pick any crashkernel changes.
    - Bump grub default (x86 amd64) crashkernel params to those used on
      arm64, ppc64le, s390x.
    - Add riscv64 build
    - Note: Debian now includes the systemd-resolved dependency patch
      that we previously carried. However, it no longer includes the
      dbus dependency. No justification was provided for it, and
      DNS was verified to work fine without it.

 -- dann frazier <dannf@ubuntu.com>  Thu, 01 Feb 2024 07:44:53 -0700

kdump-tools (1:1.9) unstable; urgency=medium

  * Add usrmerge fixes from Chris Hofstaedtler (Closes: #1057798):
    - Let dh_installudev choose location of udev rules.
    - Let dh_installsystemd choose location of systemd services.
  * debian/tests/crash: Merge a change from Ubuntu to wait for the
    kdump-tools service to become ready before triggering a crash.
  * kdump-tools-dump.service: Add soft dependency on the
    systemd-resolved service so that we can resolve names during
    kdump boot.
  * Bump amd64 crashkernel reservation 384M-:128M to 512M-:192M.
    This avoids out of memory errors seen during kdump boot
    with a 4 CPU / 2 GiB KVM instance.

 -- dann frazier <dannf@debian.org>  Mon, 29 Jan 2024 14:12:16 -0700

kdump-tools (1:1.8.2ubuntu2) noble; urgency=medium

  * Bump grub default (x86 amd64) crashkernel params to those used on
    arm64, ppc64le, s390x. LP: #1908090
  * Add riscv64 build

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 30 Jan 2024 09:56:48 +0000

kdump-tools (1:1.8.2ubuntu1) noble; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control/tests: sleep while waiting for systemd service.
    - Bump amd64 crashkernel from 384M-:128M to 512M-:192M.
    - Add a systemd-resolved service dependency in order kdump-tools is able
      to resolve DNS when in kdump boot.
    - Update default s390x crashkernel.
      - Install the updated zipl.conf with ucf, so users will be able to
        decide whether to pick any crashkernel changes.

 -- dann frazier <dannf@ubuntu.com>  Fri, 15 Dec 2023 15:06:42 -0700

kdump-tools (1:1.8.2) unstable; urgency=medium

  * Disable the initramfs generation in our kernel-postinst hook when
    we detect we are running in a chroot. LP: #2043059.

 -- dann frazier <dannf@debian.org>  Thu, 14 Dec 2023 15:31:30 -0700

kdump-tools (1:1.8.1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control/tests: sleep while waiting for systemd service.
    - Bump amd64 crashkernel from 384M-:128M to 512M-:192M.
    - Add a systemd-resolved service dependency in order kdump-tools is able
      to resolve DNS when in kdump boot.
    - Update default s390x crashkernel.
      - Install the updated zipl.conf with ucf, so users will be able to
        decide whether to pick any crashkernel changes.

 -- dann frazier <dannf@ubuntu.com>  Mon, 02 Jan 2023 11:09:03 -0700

kdump-tools (1:1.8.1) unstable; urgency=medium

  * kdump-config: Add double quotes to address shellcheck SC2086,
    fixing FTBFS. (Closes: #1027573)
  * Pass "usbcore.nousb" to the crash kernel instead of "nousb".
    (Closes: #922705)

 -- dann frazier <dannf@debian.org>  Sun, 01 Jan 2023 10:53:45 -0700

kdump-tools (1:1.8ubuntu2) lunar; urgency=medium

  * Modifed ucf call in d/kdump-tools.postinst to use option
    '--debconf-ok' to fix a package install issue (LP: #1982582). 

 -- Frank Heimes <frank.heimes@canonical.com>  Wed, 23 Nov 2022 19:40:57 +0100

kdump-tools (1:1.8ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control/tests: sleep while waiting for systemd service.
    - Bump amd64 crashkernel from 384M-:128M to 512M-:192M.
    - Add a systemd-resolved service dependency in order kdump-tools is able
      to resolve DNS when in kdump boot.
    - Update default s390x crashkernel.
      - Install the updated zipl.conf with ucf, so users will be able to
        decide whether to pick any crashkernel changes.

 -- dann frazier <dannf@ubuntu.com>  Fri, 05 Aug 2022 14:08:38 -0600

kdump-tools (1:1.8) unstable; urgency=medium

  [ Qi Zheng ]
  * kdump-config: remove redundant sync command [in ssh mode].
  * kdump-config: introduce dump_dmesg() helper.
  * kdump-config: dump the dmesg buffer in advance.

 -- dann frazier <dannf@debian.org>  Thu, 04 Aug 2022 15:28:51 -0600

kdump-tools (1:1.7ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control/tests: sleep while waiting for systemd service.
    - Bump amd64 crashkernel from 384M-:128M to 512M-:192M.
    - Add a systemd-resolved service dependency in order kdump-tools is able
      to resolve DNS when in kdump boot.
    - Update default s390x crashkernel.
      - Install the updated zipl.conf with ucf, so users will be able to
        decide whether to pick any crashkernel changes.

 -- dann frazier <dannf@ubuntu.com>  Fri, 10 Jun 2022 07:55:51 -0600

kdump-tools (1:1.7) unstable; urgency=medium

  [ Guilherme G. Piccoli ]
  * kdump-tools.service: Start kdump service a bit earlier in boot.

  [ Kellen Renshaw ]
  * rules: Remove "ata_piix.prefer_ms_hyperv=0" (Closes: #1011960).

 -- dann frazier <dannf@debian.org>  Thu, 09 Jun 2022 15:29:58 -0600

kdump-tools (1:1.6.10ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control/tests: sleep while waiting for systemd service.
    - Bump amd64 crashkernel from 384M-:128M to 512M-:192M.
    - Add a systemd-resolved service dependency in order kdump-tools is able
      to resolve DNS when in kdump boot.
    - Update default s390x crashkernel.
      - Install the updated zipl.conf with ucf, so users will be able to
        decide whether to pick any crashkernel changes.

 -- dann frazier <dannf@ubuntu.com>  Thu, 24 Mar 2022 11:42:57 -0600

kdump-tools (1:1.6.10) unstable; urgency=medium

  * kdump-config: Fix FTBFS due to new shellcheck warning (Closes: #1002270).

 -- dann frazier <dannf@debian.org>  Wed, 22 Dec 2021 08:38:12 -0700

kdump-tools (1:1.6.9ubuntu2) jammy; urgency=low

  * Update default s390x crashkernel.
    - Install the updated zipl.conf with ucf, so users will be able to
      decide whether to pick any crashkernel changes. (LP: #1877533).

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Thu, 02 Dec 2021 15:13:23 -0300

kdump-tools (1:1.6.9ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control/tests: sleep while waiting for systemd service.
    - Bump amd64 crashkernel from 384M-:128M to 512M-:192M.
    - Add a systemd-resolved service dependency in order kdump-tools is able
      to resolve DNS when in kdump boot.
  * Restore shellcheck ignore directives for retired SC2039, which is not
    yet retired in impish's shellcheck.

 -- dann frazier <dannf@ubuntu.com>  Tue, 24 Aug 2021 11:37:38 -0600

kdump-tools (1:1.6.9) unstable; urgency=medium

  [ Benjamin Drung ]
  * kdump-config: Fix indentation.
  * Fix shellcheck "backslash is literal".
  * kernel-postinst: Correct indentation.
  * kernel-postinst: Use "set -eu"
  * kernel-postinst: Honor exit codes of cp/rm/mkdir
  * kernel-postinst: Only switch MODULES from "most" to "dep"
  * kernel-postinst: Support /etc/initramfs-tools/conf.d

  [ dann frazier ]
  * Demote relationship with makedumpfile from Depends to Recommends
    (Closes: #865701).
  * Add spanish translation for debconf template, thanks to Camaleón.
    (Closes: #987520).
  * Drop shellcheck autopkgtest (Closes: #992799).
  * Drop shellcheck ignore directives for retired SC2039.
  * Ignore shellcheck SC3043, "In POSIX sh, local is undefined", as
    "local" support is mandated by Debian policy (v4.6.0.1, section 10.4).

 -- dann frazier <dannf@debian.org>  Mon, 23 Aug 2021 17:02:58 -0600

kdump-tools (1:1.6.8.4ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control/tests: sleep while waiting for systemd service.
    - Bump amd64 crashkernel from 384M-:128M to 512M-:192M.
    - Add a systemd-resolved service dependency in order kdump-tools is able
      to resolve DNS when in kdump boot.

 -- dann frazier <dannf@ubuntu.com>  Fri, 23 Jul 2021 09:00:16 -0600

kdump-tools (1:1.6.8.4) unstable; urgency=medium

  [ Benjamin Drung ]
  * Fix broken status log messages when dumping w/ FTP (Closes: #991412).

  [ dann frazier ]
  * Add /var/lib/kdump to debian/kdump-tools.dirs to avoid errors
    creating the initial set of boot file symlinks (Closes: #991175).

 -- dann frazier <dannf@debian.org>  Thu, 22 Jul 2021 15:18:37 -0600

kdump-tools (1:1.6.8.3ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control/tests: sleep while waiting for systemd service.
    - Bump amd64 crashkernel from 384M-:128M to 512M-:192M.
    - Add a systemd-resolved service dependency in order kdump-tools is able
      to resolve DNS when in kdump boot.

 -- dann frazier <dannf@ubuntu.com>  Tue, 23 Mar 2021 08:49:04 -0600

kdump-tools (1:1.6.8.3) unstable; urgency=medium

  * kdump-config: Fix storage of local/NFS dump files
    (Closes: #985716) (LP: #1920759).

 -- dann frazier <dannf@debian.org>  Mon, 22 Mar 2021 21:39:59 -0600

kdump-tools (1:1.6.8.2ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control/tests: sleep while waiting for systemd service.
    - Bump amd64 crashkernel from 384M-:128M to 512M-:192M.
    - Add a systemd-resolved service dependency in order kdump-tools is able
      to resolve DNS when in kdump boot.

 -- dann frazier <dannf@ubuntu.com>  Mon, 08 Feb 2021 12:49:19 -0700

kdump-tools (1:1.6.8.2) unstable; urgency=medium

  * debian/control: Add Vcs-* tags.
  * Support compressing the core file at dump time (Closes: #856960).
    Thanks to Benjamin Drung!
  * kdump-config: Allow running in an initrd, thanks to Benjamin Drung.

 -- dann frazier <dannf@debian.org>  Mon, 01 Feb 2021 13:35:59 -0700

kdump-tools (1:1.6.8.1) unstable; urgency=medium

  * Split kdump-tools into its own source package.
  * Change maintainer to Debian Kdump team. Thanks to Louis Bouchard for
    all of his years of work maintaining this package!

 -- dann frazier <dannf@debian.org>  Mon, 18 Jan 2021 07:48:47 -0700

makedumpfile (1:1.6.8-2ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control/tests: sleep while waiting for systemd service.
    - Bump amd64 crashkernel from 384M-:128M to 512M-:192M.
    - Add a systemd-resolved service dependency in order kdump-tools is able
      to resolve DNS when in kdump boot.

 -- dann frazier <dannf@ubuntu.com>  Mon, 28 Dec 2020 09:42:26 -0700

makedumpfile (1:1.6.8-2) unstable; urgency=medium

  * systemd: Use journal for StandardOutput instead of syslog, which
    is deprecated. Thanks to Bryan Quigley. (Closes: #969013)

 -- dann frazier <dannf@debian.org>  Sun, 27 Dec 2020 08:44:02 -0700

makedumpfile (1:1.6.8-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control/tests: sleep while waiting for systemd service.
    - Bump amd64 crashkernel from 384M-:128M to 512M-:192M.
    - Add a systemd-resolved service dependency in order kdump-tools is able
      to resolve DNS when in kdump boot.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 03 Dec 2020 08:09:38 +0100

makedumpfile (1:1.6.8-1) unstable; urgency=medium

  [ Benjamin Drung ]
  * Add Homepage field pointing to GitHub page
  * kdump-tools.default: Remove trailing spaces, replace tabs by spaces, and
    remove duplicate settings (Closes: #856935)
  * Fix cleanup if mkinitramfs fails on kernel update
  * Fix all shellcheck issues in Shell scripts
  * Run shellcheck on package build and autopkgtest
  * Add support for FTP uploads (Closes: #856957)
  * Replace bsdmainutils by bsdextrautils (Closes: #964516)
  * Use POSIX shell instead of bash
  * Bump Standards-Version to 4.5.1

  [ dann frazier ]
  * Support dumping kernel via both SSH and NFS
  * Update to new upstream version 1.6.8.

 -- dann frazier <dannf@debian.org>  Tue, 01 Dec 2020 08:34:43 -0700

makedumpfile (1:1.6.7-4ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control/tests: sleep while waiting for systemd service.
    - Bump amd64 crashkernel from 384M-:128M to 512M-:192M.
    - Add a systemd-resolved service dependency in order kdump-tools is able
      to resolve DNS when in kdump boot.
    - d/p/0003-align_PMD_SECTION_MASK_with_PHYS_MASK.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Aug 2020 10:53:22 +0200

makedumpfile (1:1.6.7-4) unstable; urgency=medium

  [ Guilherme G. Piccoli ]
  * kdump-tools: Remove KDUMP_SYSCTL for good
  * kdump-tools: Add sysctl override mechanism
  * kdump-tools: Cope with the lack of initramfs-tools OPTION=VAR feature in Debian

  [ Thadeu Lima de Souza Cascardo ]
  * Add proper dependencies to DEP8 tests

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Tue, 04 Aug 2020 17:21:46 -0300

makedumpfile (1:1.6.7-3ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control/tests: sleep while waiting for systemd service.
    - Bump amd64 crashkernel from 384M-:128M to 512M-:192M.
    - Add a systemd-resolved service dependency in order kdump-tools is able
      to resolve DNS when in kdump boot.
    - d/p/0003-align_PMD_SECTION_MASK_with_PHYS_MASK.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jul 2020 13:49:38 +0200

makedumpfile (1:1.6.7-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Wrap long lines in changelog entries: 1:1.6.4-1, 1:1.6.3-1, 1:1.6.2-
    0.1, 1:1.6.1-1, 1:1.6.0-1, 1:1.5.9-6, 1:1.5.9-1, 1.5.5-2.
  * Fix day-of-week for changelog entry 1:1.5.9-6.

  [ Thadeu Lima de Souza Cascardo ]
  * Fix build with GCC 10 (Closes: #957518)

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Tue, 28 Jul 2020 21:40:32 -0300

makedumpfile (1:1.6.7-2) unstable; urgency=medium

  * Remove upstart support.
  * Switch to debhelper-compat 12.

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Fri, 17 Apr 2020 14:12:04 -0300

makedumpfile (1:1.6.7-1ubuntu3) groovy; urgency=medium

  * d/p/0003-align_PMD_SECTION_MASK_with_PHYS_MASK.patch (LP: #1869465)
    - Fixing arm64 systems makedumpfile looping forever exhausting
      all memory when filtering kernel core.

 -- Ioanna Alifieraki <ioanna-maria.alifieraki@canonical.com>  Thu, 04 Jun 2020 14:36:01 +0100

makedumpfile (1:1.6.7-1ubuntu2) focal; urgency=low

  * debian/control/tests: sleep while waiting for systemd service.
    Also, exit in case the service is not successfully started, and dump
    status output for debugging.
    This is necessary because now that the initrd is not generated during
    postinst, it will be generated when the service is first started, and that
    may delay it for a few seconds.

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Tue, 17 Mar 2020 16:40:38 -0300

makedumpfile (1:1.6.7-1ubuntu1) focal; urgency=low

  [ Thadeu Lima de Souza Cascardo ]
  * Merge from Debian unstable.  Remaining changes:
    - Bump amd64 crashkernel from 384M-:128M to 512M-:192M.
    - Add a systemd-resolved service dependency in order kdump-tools is able
      to resolve DNS when in kdump boot.

  [ Dan Streetman ]
  * FeatureFreeze exception note:
    I checked upstream log from 1.6.6-1.6.7 and confirmed this is bugfix-only

 -- Dan Streetman <ddstreet@canonical.com>  Fri, 13 Mar 2020 10:25:32 -0400

makedumpfile (1:1.6.7-1) unstable; urgency=medium

  * Update to new upstream version 1.6.7.
  * Skip initrd generation during postinst. (Closes: #856594)

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Mon, 02 Mar 2020 04:48:06 -0300

makedumpfile (1:1.6.6-4ubuntu3) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:06:59 +0000

makedumpfile (1:1.6.6-4ubuntu2) focal; urgency=medium

  * x86_64: Fix an error due to makedumpfile being out-of-sync with recent
    kernels. To achieve that, add the following patch: "Increase
    SECTION_MAP_LAST_BIT to 4". (LP: #1857616)

 -- Guilherme G. Piccoli <gpiccoli@canonical.com>  Fri, 03 Jan 2020 16:57:00 -0300

makedumpfile (1:1.6.6-4ubuntu1) focal; urgency=medium

  [ Thadeu Lima de Souza Cascardo ]
  * Merge from Debian unstable.  Remaining changes:
    - Bump amd64 crashkernel from 384M-:128M to 512M-:192M.
  * Use reset_devices as a cmdline parameter. (LP: #1800566)
  * Use kdump-config reload after cpu or memory hotplug. (LP: #1828596)

  [ Guilherme G. Piccoli ]
  * Add a systemd-resolved service dependency in order kdump-tools is able
    to resolve DNS when in kdump boot. (LP: #1856323)

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Wed, 18 Dec 2019 14:38:51 -0300

makedumpfile (1:1.6.6-4) unstable; urgency=medium

  * Let the kernel decide the crashkernel offset for ppc64el (LP: #1741860)
  * kdump-config: implement try-reload
  * udev: hotplug: use try-reload
  * Set Rules-Requires-Root to no

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Wed, 18 Dec 2019 10:50:47 -0300

makedumpfile (1:1.6.6-3) unstable; urgency=medium

  * Add a reload command.
  * Use kdump-config reload after cpu or memory hotplug.
  * Use reset_devices as a cmdline parameter.

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Wed, 18 Sep 2019 01:00:16 +0000

makedumpfile (1:1.6.6-2ubuntu1) eoan; urgency=medium

  [ Thadeu Lima de Souza Cascardo ]
  * Merge from Debian unstable.  Remaining changes:
    - Bump amd64 crashkernel from 384M-:128M to 512M-:192M.
  * Add kdump retry/delay mechanism when dumping over network (LP: #1681909)
  * Allow proper reload of kdump after multiple hotplug events. (LP: #1828596)

  [ Connor Kuehl ]
  * Let the kernel decide the crashkernel offset for ppc64el (LP: #1741860)

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Tue, 06 Aug 2019 12:18:15 -0300

makedumpfile (1:1.6.6-2) unstable; urgency=medium

  [ Guilherme G. Piccoli ]
  * Add kdump retry/delay mechanism when dumping over network

  [ Thadeu Lima de Souza Cascardo ]
  * Use a different service for vmcore dump.
  * Use maxcpus instead of nr_cpus on ppc64el.
  * Reload kdump when CPU is brought online.
  * Allow proper reload of kdump after multiple hotplug events.

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Sat, 20 Jul 2019 11:25:01 -0300

makedumpfile (1:1.6.6-1) unstable; urgency=medium

  * Update to new upstream version 1.6.6.

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Fri, 12 Jul 2019 16:24:14 -0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog kdump-tools`.
